Support » Plugin: Popup Manager » Error using Mailchimp email subscription templates, any.

  • Resolved gesualdodevenosa

    (@gesualdodevenosa)


    I am getting this php warning when I try to use a mailing subscription template, any.
    The plugin doesn’t work. This warning appear on the page I paste the shortcode:

    Warning: Invalid argument supplied for foreach() in /home/musicapa/public_html/2016/wp-content/plugins/popup-manager/popup-manager.php on line 2661

    I configured the form with no issues, copied the embed content from Mailchimp site and paste to the empty field (first step) etc.

    This is the embed code from Mailchimp:

    <!– Begin MailChimp Signup Form –>
    <link href=”//cdn-images.mailchimp.com/embedcode/classic-10_7.css” rel=”stylesheet” type=”text/css”>
    <style type=”text/css”>
    #mc_embed_signup{background:#fff; clear:left; font:14px Helvetica,Arial,sans-serif; }
    /* Add your own MailChimp form style overrides in your site stylesheet or in this style block.
    We recommend moving this block and the preceding CSS link to the HEAD of your HTML file. */
    </style>
    <div id=”mc_embed_signup”>
    <form action=”//musicaparaelalma.us7.list-manage.com/subscribe/post?u=0a6ea2c7e4cf30feeb45753b5&id=b16ca4dd84″ method=”post” id=”mc-embedded-subscribe-form” name=”mc-embedded-subscribe-form” class=”validate” target=”_blank” novalidate>
    <div id=”mc_embed_signup_scroll”>
    <h2>Subscribe to our mailing list</h2>
    <div class=”indicates-required”><span class=”asterisk”>*</span> indicates required</div>
    <div class=”mc-field-group”>
    <label for=”mce-EMAIL”>Email <span class=”asterisk”>*</span>
    </label>
    <input type=”email” value=”” name=”EMAIL” class=”required email” id=”mce-EMAIL”>
    </div>
    <div id=”mce-responses” class=”clear”>
    <div class=”response” id=”mce-error-response” style=”display:none”></div>
    <div class=”response” id=”mce-success-response” style=”display:none”></div>
    </div> <!– real people should not fill this in and expect good things – do not remove this or risk form bot signups–>
    <div style=”position: absolute; left: -5000px;” aria-hidden=”true”><input type=”text” name=”b_0a6ea2c7e4cf30feeb45753b5_b16ca4dd84″ tabindex=”-1″ value=””></div>
    <div class=”clear”><input type=”submit” value=”Subscribe” name=”subscribe” id=”mc-embedded-subscribe” class=”button”></div>
    </div>
    </form>
    </div>
    <script type=’text/javascript’ src=’//s3.amazonaws.com/downloads.mailchimp.com/js/mc-validate.js’></script><script type=’text/javascript’>(function($) {window.fnames = new Array(); window.ftypes = new Array();fnames[0]=’EMAIL’;ftypes[0]=’email’; /*
    * Translated default messages for the $ validation plugin.
    * Locale: ES
    */
    $.extend($.validator.messages, {
    required: “Este campo es obligatorio.”,
    remote: “Por favor, rellena este campo.”,
    email: “Por favor, escribe una dirección de correo válida”,
    url: “Por favor, escribe una URL válida.”,
    date: “Por favor, escribe una fecha válida.”,
    dateISO: “Por favor, escribe una fecha (ISO) válida.”,
    number: “Por favor, escribe un número entero válido.”,
    digits: “Por favor, escribe sólo dígitos.”,
    creditcard: “Por favor, escribe un número de tarjeta válido.”,
    equalTo: “Por favor, escribe el mismo valor de nuevo.”,
    accept: “Por favor, escribe un valor con una extensión aceptada.”,
    maxlength: $.validator.format(“Por favor, no escribas más de {0} caracteres.”),
    minlength: $.validator.format(“Por favor, no escribas menos de {0} caracteres.”),
    rangelength: $.validator.format(“Por favor, escribe un valor entre {0} y {1} caracteres.”),
    range: $.validator.format(“Por favor, escribe un valor entre {0} y {1}.”),
    max: $.validator.format(“Por favor, escribe un valor menor o igual a {0}.”),
    min: $.validator.format(“Por favor, escribe un valor mayor o igual a {0}.”)
    });}(jQuery));var $mcj = jQuery.noConflict(true);</script>
    <!–End mc_embed_signup–>

    https://wordpress.org/plugins/popup-manager/

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author Madars

    (@cohhe)

    Hi,

    this has something to do with the style of the popups but unfortunately, we can’t replicate it. Can you please send me WordPress credentials so I can login and debug it on your server? You can contact me here http://wppopupmanager.com/contact/

    Best regards,
    Madars

    Ok I sent you credentials by this form.

    Plugin Author Madars

    (@cohhe)

    This was a bug in the plugin. I fixed it for you, it should be now working. This update will also be soon released here at wp.org.

    Best regards,
    Madars

    When I change style, background image, font color etc popup do not work. Same warning:
    Warning: Invalid argument supplied for foreach() in /home/musicapa/public_html/2016/wp-content/plugins/popup-manager/popup-manager.php on line 2677

    If I use (yellow one) as it is apparently works well.

    Confirmed. If I use the subscribe popup, any, as it is, now problem. If I change anything, a simple phrase or tittle, the foreach() warning appear and popup is missing.

    Typo: “no” problem (now?? 😉

    The plugin is still not working with subscribe templates, any. Any idea on when do you upload a fixed version? Thx

    Plugin Author Madars

    (@cohhe)

    We fixed the issue in latest update. Did you try to create new popup?

    Best,
    Madars

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Error using Mailchimp email subscription templates, any.’ is closed to new replies.